<!DOCTYPE html>
<html>

<head>
</head>
<body>



  <div class=" panel panel-default">
  <div class="panel-heading">
    <h2> <strong> Ajouter Mission </strong></h2></div>
      <br> 
<div class="panel-body" >
<form [formGroup]="f" (ngSubmit)="onSubmit()">



 <!--  <div class="form-group ">
<input type="number" name="id_mission"  placeholder="Entrer Id" formControlName="id_mission" class="form-control" [(ngModel)]="mission.id_mission"  >
 <div *ngFor="let validation of validation_messages.id_mission">
    <div class="error-message" *ngIf="f.get('id_mission').hasError(validation.type) &&  (f.get('id_mission').dirty ||  f.get('id_mission').touched)">              
      {{validation.message}} 
    </div>
  </div>
<br>
  </div>-->


  <div class="form-group ">
 <span>Date Départ </span>  &nbsp;&nbsp;<input type="datetime-local" name="date_debut"  [(ngModel)]="mission.date_debut" placeholder="Entre la date de départ" formControlName="date_debut" class="form-control" >

 <div *ngFor="let validation of validation_messages.date_debut">
    <div class="error-message" *ngIf="f.get('date_debut').hasError(validation.type) &&  (f.get('date_debut').dirty ||  f.get('date_debut').touched)">              
      {{validation.message}} 
    </div>
  </div>
<br>
  </div>  


<div class="form-group ">
<span> Date Arrivée </span> &nbsp;&nbsp;  <input type="datetime-local" name="date_arrive"  [(ngModel)]="mission.date_arrive" placeholder=" Entrer la date d'arrivé" formControlName="date_arrive" class="form-control"> 
 <div *ngFor="let validation of validation_messages.date_arrive">
    <div class="error-message" *ngIf="f.get('date_arrive').hasError(validation.type) &&  (f.get('date_arrive').dirty ||  f.get('date_arrive').touched)">              
      {{validation.message}} 
    </div>
  </div>  
  <br>
</div>



<div class="form-group">
 <input type="number" name="chauffeur_id"  [(ngModel)]="mission.chauffeur_id" placeholder=" Entrer Id chauffeur" formControlName="chauffeur_id" class="form-control"> 
       <div *ngFor="let validation of validation_messages.chauffeur_id">
          <div class="error-message" *ngIf="f.get('chauffeur_id').hasError(validation.type) &&  (f.get('chauffeur_id').dirty ||  f.get('chauffeur_id').touched)">              
            {{validation.message}} 
          </div>
        </div>  
        <br>
      </div>


<div class="form-group ">
 <input type="number" name="vehicule_id"  [(ngModel)]="mission.vehicule_id" placeholder=" Entrer Id vehicule" formControlName="vehicule_id" class="form-control"> 
   <div *ngFor="let validation of validation_messages.vehicule_id">
      <div class="error-message" *ngIf="f.get('vehicule_id').hasError(validation.type) &&  (f.get('vehicule_id').dirty ||  f.get('vehicule_id').touched)">              
        {{validation.message}} 
      </div>  
    </div>  
    <br>
  </div>

  <div class="form-group ">
  <input type="number" name="id_station_depart"  [(ngModel)]="mission.id_station_depart" placeholder=" Entrer Id station départ" formControlName="id_station_depart" class="form-control"> 
       <div *ngFor="let validation of validation_messages.id_station_depart">
          <div class="error-message" *ngIf="f.get('id_station_depart').hasError(validation.type) &&  (f.get('id_station_depart').dirty ||  f.get('id_station_depart').touched)">              
            {{validation.message}} 
          </div>  
        </div> 
       <br>
      </div>

  <div class="form-group ">
 <input type="number" name="id_station_arrive"  [(ngModel)]="mission.id_station_arrive" placeholder=" Entrer Id station arrivé" formControlName="id_station_arrive" class="form-control"> 
       <div *ngFor="let validation of validation_messages.id_station_arrive">
          <div class="error-message" *ngIf="f.get('id_station_arrive').hasError(validation.type) &&  (f.get('id_station_arrive').dirty ||  f.get('id_station_arrive').touched)">              
            {{validation.message}} 
          </div>  
        </div>  
        <br>
      </div>

  <button type="submit" class="btn btn-success "> Ajouter</button> 
    &nbsp;&nbsp;
  <button type="reset" class="btn btn-warning" > Annuler</button>

</form>
</div>
</div>

</body>
 
</html>
